com.trendmicro.ds.platform.rest.api

## Interface ITenantDatabaseServerAPI

-     public interface ITenantDatabaseServerAPI

  Interface for the Tenant Database API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CreateTenantDatabaseServerResponse` | `addTenantDatabaseServer(CreateTenantDatabaseServerRequest tenantDatabaseServerRequest)` Add a new Tenant Database Server.
    `DeleteTenantDatabaseServerResponse` | `deleteTenantDatabaseServerById(java.lang.Integer tenantDatabaseServerId, java.lang.String sID)` Delete tenant database server by ID.
    `TenantDatabaseServerListing` | `getAllTenantDatabaseServers(java.lang.String sID)` Retrieve information about all Tenant Database Servers.
    `TenantDatabaseServerElement` | `getTenantDatabaseServer(java.lang.Integer tenantDatabaseServerId, java.lang.String sID)` Get a specific Tenant Database Server.
    `UpdateTenantDatabaseServerResponse` | `updateTenantDatabaseServer(java.lang.Integer tenantDatabaseServerId, UpdateTenantDatabaseServerRequest updateTenantDatabaseServerRequest)` Update Tenant Database Server information.

- - ### Method Detail

    - #### getAllTenantDatabaseServers

          TenantDatabaseServerListing getAllTenantDatabaseServers(java.lang.String sID)
                                                           throws java.lang.Exception

      Retrieve information about all Tenant Database Servers.
      Parameters:
        `sID` - session ID.
      Returns:
        The collection of tenant database servers.
      Throws:
        `java.lang.Exception`

    - #### getTenantDatabaseServer

          TenantDatabaseServerElement getTenantDatabaseServer(java.lang.Integer tenantDatabaseServerId,
                                                              java.lang.String sID)
                                                       throws java.lang.Exception

      Get a specific Tenant Database Server.
      Parameters:
        `tenantDatabaseServerId` - Unique identifier of the Tenant Database Server.
        `sID` - session ID.
      Returns:
        The information about the requested Tenant Database Server.
      Throws:
        `java.lang.Exception`

    - #### addTenantDatabaseServer

          CreateTenantDatabaseServerResponse addTenantDatabaseServer(CreateTenantDatabaseServerRequest tenantDatabaseServerRequest)
                                                              throws java.lang.Exception

      Add a new Tenant Database Server.
      Parameters:
        `tenantDatabaseServerRequest` - The request parameters.
      Returns:
        A response with status `200 OK` and a body containing response information when adding a Tenant Database Server succeeds. It will return a response with status `400 Bad Request` and a body containing an `ErrorMessage` when mandatory parameters are missing and/or validation fails.
      Throws:
        `java.lang.Exception`

    - #### updateTenantDatabaseServer

          UpdateTenantDatabaseServerResponse updateTenantDatabaseServer(java.lang.Integer tenantDatabaseServerId,
                                                                        UpdateTenantDatabaseServerRequest updateTenantDatabaseServerRequest)
                                                                 throws java.lang.Exception

      Update Tenant Database Server information.

      Note: Only state information modification is supported for the primary server.

      Parameters:
        `tenantDatabaseServerId` - Unique identifier of the Tenant Database Server to update.
        `updateTenantDatabaseServerRequest` - The request parameters.
      Returns:
        A response with status `200 OK` and a body containing response information when the update succeeds. It will return a response with status `400 Bad Request` and a body containing an `ErrorMessage` if parameters are invalid.
      Throws:
        `java.lang.Exception`

    - #### deleteTenantDatabaseServerById

          DeleteTenantDatabaseServerResponse deleteTenantDatabaseServerById(java.lang.Integer tenantDatabaseServerId,
                                                                            java.lang.String sID)
                                                                     throws java.lang.Exception

      Delete tenant database server by ID.

      Note: The operation is not supported for the primary database server.

      Parameters:
        `tenantDatabaseServerId` - Unique identifier of the tenant database server to delete.
        `sID` - session ID.
      Returns:
        A response with status `200 OK` and a body containing response information when deletion is successful. If the database server ID is null or empty, it will return a response with status `400 Bad Request` and a body containing an `ErrorMessage`. If the database server with the given ID does not exist, it will return a response with status `404 Not Found`.
      Throws:
        `java.lang.Exception`

Copyright © 2015 Trend Micro Inc. All Rights Reserved.